%define 	module	PasteDeploy
Summary:	Load, configure, and compose WSGI applications and servers
Summary(pl.UTF-8):	Wczytywanie, konfiguracja i łączenie aplikacji i serwerów WSGI
Name:		python-%{module}
Version:	1.5.0
Release:	3
License:	X11/MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/P/PasteDeploy/%{module}-%{version}.tar.gz
# Source0-md5:	f1a068a0b680493b6eaff3dd7690690f
URL:		http://pythonpaste.org/deploy/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files. Paste Script provides commands to serve applications based on
this configuration file.

%description -l pl.UTF-8
To narzędzie zawiera kod do wczytywania aplikacji i serwerów WSGI z
URI; URI te mogą odnosić się do pakietów Python Egg dla plików
konfiguracyjnych w stylu INI. Paste Script udostępnia polecenia do
obsługi aplikacji w oparciu o ten plik konfiguracyjny.

%prep
%setup -q -n PasteDeploy-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--single-version-externally-managed \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%dir %{py_sitescriptdir}/paste/deploy
%{py_sitescriptdir}/paste/deploy/*.py[co]
%{py_sitescriptdir}/paste/deploy/paster_templates
%{py_sitescriptdir}/PasteDeploy-%{version}-py*.egg-info
%{py_sitescriptdir}/PasteDeploy-%{version}-py*-nspkg.pth
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PasteDeploy.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 343cd99
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d12bc82
- automatic change: use py_build/py_install macros

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 6517abc
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 6be0d29
- up to 1.5.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f876f2d
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 357309a
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 02cbde0
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 0b5881d
- up to 1.3.3

* Thu Feb 05 2009 beorn <beorn@pld-linux.org> 52107ad
- Group name fix

* Wed Nov 12 2008 Elan Ruusamäe <glen@pld-linux.org> 2846cf1
- why rel 0.1?; rel 1

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> fb8f328
- Up to 1.3.1 (how did I miss it?)

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 7b81556
- Up to 1.3
- Switched to %py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 90b9ebc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a3388fb
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5af876b
- up to 1.1

* Fri Nov 17 2006 radzio <radzio@pld-linux.org> e3af65e
- up to 1.0

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> a470b79
- tab

* Sun Apr 16 2006 radzio <radzio@pld-linux.org> 965be3f
- better [B]R

* Sun Apr 16 2006 radzio <radzio@pld-linux.org> a8b798e
- update to 0.5[.1]

* Mon Jan 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 62439de
- pl

